Bug 147192 - x11-wm/dwm and x11/dmenu update
Summary: x11-wm/dwm and x11/dmenu update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-29 18:40 UTC by David Demelier
Modified: 2010-06-05 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.15 KB, patch)
2010-05-29 18:40 UTC, David Demelier
no flags Details | Diff
file.diff (1.10 KB, patch)
2010-05-29 18:40 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2010-05-29 18:40:05 UTC
dmenu, dwm were updated. The announcement was here :

http://lists.suckless.org/dev/1005/4377.html

This small PR is sent to update these both ports.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-05-29 20:40:07 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Max Brazhnikov freebsd_committer 2010-05-30 09:23:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 Max Brazhnikov freebsd_committer 2010-05-30 09:29:20 UTC
Maintainer of x11-wm/dwm,
 
Please note that PR ports/147192 has just been submitted.
 
If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.
 
The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147192
Comment 4 Max Brazhnikov freebsd_committer 2010-05-30 09:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers approval.
Comment 5 Jeroen Schot 2010-05-31 10:51:45 UTC
x11-wm/dwm is already updated to 5.8 in FreeBSD (see PR ports/147161).
Attached diff updates dwm from 5.8 to 5.8.1.

For x11/dmenu I am waiting for an updated version of the XFT patch. Or
would it be better to disable XFT for 4.1.1 and re enable it in a next
revision?

-- Jeroen Schot

diff -ruN dwm.orig/Makefile dwm/Makefile
--- dwm.orig/Makefile	2010-05-31 01:37:39.000000000 +0200
+++ dwm/Makefile	2010-05-31 11:45:53.000000000 +0200
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	dwm
-PORTVERSION=	5.8
+PORTVERSION=	5.8.1
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://dl.suckless.org/${PORTNAME}/ \
 		http://schot.a-eskwadraat.nl/files/
diff -ruN dwm.orig/distinfo dwm/distinfo
--- dwm.orig/distinfo	2010-05-31 01:37:39.000000000 +0200
+++ dwm/distinfo	2010-05-31 11:44:35.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (dwm-5.8.tar.gz) = a0143b29c17545ac292b69cae3646d83
-SHA256 (dwm-5.8.tar.gz) = 34a00ad6a0b51a187a5b9396ff48256330cf09c23caccd6c1c75db84302b9b2e
-SIZE (dwm-5.8.tar.gz) = 20165
+MD5 (dwm-5.8.1.tar.gz) = a6f786addf9fb3240cc2246a346330ca
+SHA256 (dwm-5.8.1.tar.gz) = a9a42f493a7f0dfae09f5c38d94e83d7bf86763c691103f9187818ed53a334b1
+SIZE (dwm-5.8.1.tar.gz) = 20035
Comment 6 Jeroen Schot 2010-05-31 14:46:35 UTC
Thanks to Ashish SHUKLA the XFT patch is updated for dmenu 4.1.1.
Attached diff updates x11/dmenu from 4.0 to 4.1.1 and keeps optional
XFT support.

-- Jeroen Schot

diff -ruN dmenu.orig/Makefile dmenu/Makefile
--- dmenu.orig/Makefile	2010-05-16 12:17:48.000000000 +0200
+++ dmenu/Makefile	2010-05-31 15:32:12.000000000 +0200
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	dmenu
-PORTVERSION=	4.0
-PORTREVISION=	1
+PORTVERSION=	4.1.1
 CATEGORIES=	x11
-MASTER_SITES=	http://code.suckless.org/dl/tools/ \
+MASTER_SITES=	http://dl.suckless.org/tools/ \
 		http://schot.a-eskwadraat.nl/files/
 PATCH_SITES=	http://schot.a-eskwadraat.nl/files/
 
@@ -31,6 +30,16 @@
 USE_XORG+=	xft
 .endif
 
+pre-everything::
+	@${ECHO_MSG} "You can build dmenu with your own config.h using the DMENU_CONF knob:"
+	@${ECHO_MSG} "make DMENU_CONF=/path/to/dmenu/config.h install clean"
+
+post-extract:
+.if defined(DMENU_CONF)
+	@${ECHO_MSG} "creating config.h from ${DMENU_CONF}"
+	@${CP} ${DMENU_CONF} ${WRKSRC}/config.h
+.endif
+
 post-patch:
 	@${GREP} -Rl '%%[[:alpha:]]\+%%' ${WRKSRC}|${XARGS} ${REINPLACE_CMD} \
 	         -e "s,%%PREFIX%%,${PREFIX},g" \
diff -ruN dmenu.orig/distinfo dmenu/distinfo
--- dmenu.orig/distinfo	2010-05-16 12:16:20.000000000 +0200
+++ dmenu/distinfo	2010-05-31 15:28:40.000000000 +0200
@@ -1,6 +1,6 @@
-MD5 (dmenu-4.0.tar.gz) = 66e761a653930cc8a21614ba9fedf903
-SHA256 (dmenu-4.0.tar.gz) = c04508285e21a1fc055b76890ec47e9956d8edc4d460dbcac59f96f061b2e862
-SIZE (dmenu-4.0.tar.gz) = 8576
-MD5 (dmenu-4.0-xft.diff) = e259bf32b4ff15d345581f934ba99e46
-SHA256 (dmenu-4.0-xft.diff) = d7bbc1883453ef2d1025111fec48831f453c586007349a13ba2ab4b54177fd15
-SIZE (dmenu-4.0-xft.diff) = 8596
+MD5 (dmenu-4.1.1.tar.gz) = 931896a199741c23be945e8519a81c1d
+SHA256 (dmenu-4.1.1.tar.gz) = 9e5f775ae62169520aeb5707f72f8a843552becf776abbd7bcb6ba11fd41e60a
+SIZE (dmenu-4.1.1.tar.gz) = 9351
+MD5 (dmenu-4.1.1-xft.diff) = 8547edd9b9e46869e17023eb073a8fac
+SHA256 (dmenu-4.1.1-xft.diff) = f74d68881d3fba05c77a0483f2e9faf1e16b57d526680df36c79262c4eff13e3
+SIZE (dmenu-4.1.1-xft.diff) = 10230
Comment 7 Max Brazhnikov freebsd_committer 2010-06-02 00:03:27 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 8 dfilter service freebsd_committer 2010-06-05 12:29:19 UTC
makc        2010-06-05 11:29:11 UTC

  FreeBSD ports repository

  Modified files:
    x11/dmenu            Makefile distinfo 
  Log:
  Update to 4.1.1
  
  PR:             ports/147192
  Submitted by:   Demelier David <demelier.david at gmail.com>
  Reviewed by:    Jeroen Schot (maintainer)
  
  Revision  Changes    Path
  1.30      +12 -3     ports/x11/dmenu/Makefile
  1.28      +6 -6      ports/x11/dmenu/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2010-06-05 12:29:29 UTC
makc        2010-06-05 11:29:20 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/dwm           Makefile distinfo 
  Log:
  Update to 5.8.1
  
  PR:             ports/147192
  Submitted by:   Demelier David <demelier.david at gmail.com>
  Reviewed by:    Jeroen Schot (maintainer)
  
  Revision  Changes    Path
  1.47      +1 -1      ports/x11-wm/dwm/Makefile
  1.45      +3 -3      ports/x11-wm/dwm/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Max Brazhnikov freebsd_committer 2010-06-05 12:29:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!